summaryrefslogtreecommitdiffstats
path: root/gearmand.init
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2025-01-08 07:51:59 +0100
committerRemi Collet <remi@php.net>2025-01-08 07:51:59 +0100
commitbd9d8af9235c1e3c59fb8d583f107eac2f7d0eeb (patch)
tree7c443e1db2dad636019868ac124c5e89c1257b7d /gearmand.init
import from Fedora 41
Diffstat (limited to 'gearmand.init')
-rw-r--r--gearmand.init81
1 files changed, 81 insertions, 0 deletions
diff --git a/gearmand.init b/gearmand.init
new file mode 100644
index 0000000..e2502aa
--- /dev/null
+++ b/gearmand.init
@@ -0,0 +1,81 @@
+#!/bin/bash
+#
+# gearmand Startup script for the Gearman server
+#
+# chkconfig: - 85 15
+# description: Gearman is a distributed job system.
+# processname: gearmand
+# config: /etc/sysconfig/gearmand
+# pidfile: /var/run/gearmand/gearmand.pid
+#
+### BEGIN INIT INFO
+# Provides: gearmand
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs $network
+# Default-Start:
+# Default-Stop:
+# Short-Description: start and stop the Gearman server
+# Description: Gearman is a distributed job system.
+### END INIT INFO
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+if [ -f /etc/sysconfig/gearmand ]; then
+ . /etc/sysconfig/gearmand
+fi
+
+[ -z "${PIDFILE}" ] && pidfile="/var/run/gearmand/gearmand.pid"
+[ -z "${LOCKFILE}" ] && lockfile="/var/lock/subsys/gearmand"
+
+gearmand=/usr/sbin/gearmand
+prog=gearmand
+
+RETVAL=0
+
+start() {
+ echo -n $"Starting $prog: "
+ daemon --pidfile=$pidfile --user=gearmand $gearmand -d $OPTIONS
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && (touch $lockfile; pgrep -f $gearmand > $pidfile)
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $gearmand
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && rm -f $lockfile $pidfile
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status -p $pidfile $gearmand
+ RETVAL=$?
+ ;;
+ restart|reload)
+ stop
+ start
+ ;;
+ condrestart|try-restart)
+ if status -p $pidfile $gearmand >&/dev/null; then
+ stop
+ start
+ fi
+ ;;
+ *)
+ echo $"Usage: $prog {start|stop|restart|reload|condrestart|status|help}"
+ RETVAL=3
+esac
+
+exit $RETVAL
+